Class | Range
In: | lib/json/add/range.rb
Parent: | Object

Range serialization/deserialization

### Methods

as_json json_create to_json

### Public Class methods

json_create(object)

Deserializes JSON string by constructing new Range object with arguments `a` serialized by `to_json`.

### Public Instance methods

as_json(*)

Returns a hash, that will be turned into a JSON object and represent this object.

to_json(*args)

Stores class name (Range) with JSON array of arguments `a` which include `first` (integer), `last` (integer), and `exclude_end?` (boolean) as JSON string.

[Validate]